# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'logstash_sqs/version'

Gem::Specification.new do |spec|
  spec.name          = "logstash_sqs"
  spec.version       = LogstashSQS::VERSION
  spec.authors       = ["Anderson Nogueira"]
  spec.email         = ["anderson@quimbik.com"]
  spec.description   = %q{Logstash SQS Client}
  spec.summary       = %q{Sends logstasher logs to logstash through Amazon SQS}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.bindir = "bin"
  spec.executables << "logstashsqs"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_dependency 'aws-sdk'
  spec.add_dependency 'logstasher'
  spec.add_dependency 'eventmachine'
  spec.add_dependency 'eventmachine-tail'
  spec.add_dependency 'daemon-spawn'
end
